Bug 19746 - Debug statements are left in returns.pl
Summary: Debug statements are left in returns.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 14464
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-04 19:07 UTC by Jonathan Druart
Modified: 2018-06-04 20:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19746: Remove debug statements in returns.pl (1.01 KB, patch)
2017-12-04 19:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19746: Remove debug statements in returns.pl (1.06 KB, patch)
2017-12-05 14:14 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 19746: Remove debug statements in returns.pl (1.12 KB, patch)
2017-12-08 15:14 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-12-04 19:07:43 UTC
From bug commit bb6277ffcc593685554112d770ac273c9efeda33
Bug 14464: Add ability to cancel waiting holds from checkin screen

+use Carp 'verbose';
+$SIG{ __DIE__ } = sub { Carp::confess( @_ ) };

See also http://lists.koha-community.org/pipermail/koha-devel/2017-November/044168.html
Comment 1 Jonathan Druart 2017-12-04 19:09:08 UTC
Created attachment 69491 [details] [review]
Bug 19746: Remove debug statements in returns.pl

From bug commit bb6277ffcc593685554112d770ac273c9efeda33
Bug 14464: Add ability to cancel waiting holds from checkin screen

+use Carp 'verbose';
+$SIG{ __DIE__ } = sub { Carp::confess( @_ ) };

See also
http://lists.koha-community.org/pipermail/koha-devel/2017-November/044168.html

Test plan:
Read the changes and make sure they make sense
Comment 2 Tomás Cohen Arazi 2017-12-05 14:14:01 UTC
Created attachment 69506 [details] [review]
Bug 19746: Remove debug statements in returns.pl

From bug commit bb6277ffcc593685554112d770ac273c9efeda33
Bug 14464: Add ability to cancel waiting holds from checkin screen

+use Carp 'verbose';
+$SIG{ __DIE__ } = sub { Carp::confess( @_ ) };

See also
http://lists.koha-community.org/pipermail/koha-devel/2017-November/044168.html

Test plan:
Read the changes and make sure they make sense

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Julian Maurice 2017-12-08 15:14:42 UTC
Created attachment 69650 [details] [review]
Bug 19746: Remove debug statements in returns.pl

From bug commit bb6277ffcc593685554112d770ac273c9efeda33
Bug 14464: Add ability to cancel waiting holds from checkin screen

+use Carp 'verbose';
+$SIG{ __DIE__ } = sub { Carp::confess( @_ ) };

See also
http://lists.koha-community.org/pipermail/koha-devel/2017-November/044168.html

Test plan:
Read the changes and make sure they make sense

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Jonathan Druart 2017-12-11 17:53:45 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2017-12-20 11:34:49 UTC
Awesome work all! Pushed to stable for 17.11.01